package com.sy.coinage.core.exception;

import com.sy.coinage.core.constants.ResponseEnum;

/**
 * -自定义异常
 *
 * @author: lug 2021年11月1日
 */
public class RetException extends RuntimeException {

    /**
     *
     */
    private static final long serialVersionUID = 1L;

    private ResponseEnum responseEnum;

    public RetException() {
        super();
    }

    public RetException(String msg) {
        super(msg);
    }

    public RetException(ResponseEnum responseEnum) {
        super(responseEnum.getMsg());
        this.responseEnum = responseEnum;
    }

    public RetException(ResponseEnum responseEnum, String msg) {
        super(msg);
        this.responseEnum = responseEnum;
    }

    public ResponseEnum getResponseEnum() {
        return responseEnum;
    }

}
